Qt 5.6 | Qt 3D | C++ Classes | QAxis

Qt 5.6.3 Reference Documentation

# QAxis Class

(Qt3DInput::QAxis)

Header: | #include <QAxis>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- name : QString

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAxis(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAxis()
void | addInput(QAxisInput *input)
QVector<QAxisInput *> | inputs() const
QString | name() const
void | removeInput(QAxisInput *input)

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setName(const QString &name)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | nameChanged(const QString &name)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### name : QString

Access functions:

QString | name() const
void | setName(const QString &name)

Notifier signal:

void | nameChanged(const QString &name)

## Member Function Documentation

### QAxis::QAxis(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAxis.

### QAxis::~QAxis()

Destroys the instance of QAxis.

### void QAxis::addInput(QAxisInput *input)

### `[protected]` void QAxis::copy(const Qt3DCore::QNode *ref)

### QVector<QAxisInput *> QAxis::inputs() const

### void QAxis::removeInput(QAxisInput *input)